Bug 448072 - Review Request: spin-kickstarts - Kickstarts and templates for creating custom Fedora Spins
Summary: Review Request: spin-kickstarts - Kickstarts and templates for creating custo...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-23 10:41 UTC by Jeroen van Meeuwen
Modified: 2008-10-13 01:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-13 01:16:46 UTC
Type: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2008-05-23 10:41:02 UTC
Spec URL: http://www.kanarip.com/custom/SPECS/spin-kickstarts.spec
SRPM URL: http://www.kanarip.com/custom/f9/SRPMS/spin-kickstarts-0.01-1.fc9.src.rpm
Description: A collection of kickstarts used to compose the Live Media released by the Fedora Project, including templates for localization.

Targeted CVS branches, but not for this particular SRPM as it is release specific configuration files: F-8, F-9, EL-5, devel

Note: It has no documentation (yet)

Comment 1 Jason Tibbitts 2008-06-06 16:10:52 UTC
I thought I was going to say that this is the easiest package ever, but then it
failed to build:
  configure: error: no suitable Python interpreter found
I added a build dependency on python and it built fine.  I'm sort of confused as
to why python is needed or what actually gets built here.  It looks like you
could just copy the files from the tarball into place and dispense with
configure altogether, although I guess you could in the future do some kind of
processing.

rpmlint says:
  spin-kickstarts.src: W: strange-permission spin-kickstarts.spec 0600
No idea why this happens to some packages; I think the permissions get set
weirdly like that if you use rpmbuild -ta.  It's not worth fixing this as it's
not really a problem.  (It's not mode 666 or anything like that.)

  spin-kickstarts.noarch: W: no-documentation
As expected; not a problem.

You should probably terminate the sentence in %description with a period.

You should include the COPYING file as %doc.  (Which conveniently will eliminate
the rpmlint complaint.)

Checklist:
* source files match upstream:
   1c09ef032526f232246ccd83d1aae5645788ade5386b15ee512cdb3cf1a1271d  
   spin-kickstarts-0.01.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (well, could use a period)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
X license text upstream but not included in package.
* latest version is being packaged.
X BuildRequires missing python.
* %clean is present.
* package builds in mock (after fixing BuildRequires)
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  spin-kickstarts-0.01-1.fc10.noarch.rpm
   spin-kickstarts = 0.01-1.fc10
  =

* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.

Comment 2 Jeroen van Meeuwen 2008-06-07 09:48:44 UTC
- There's was a renegade AM_PATH_PYTHON in configure.ac which I've fixed;
- Including the COPYING file (as well as NEWS AUTHOR and README)

New SPEC: http://www.kanarip.com/custom/SPECS/spin-kickstarts.spec
New SRPM: http://www.kanarip.com/custom/f9/SRPMS/spin-kickstarts-0.01-2.fc9.src.rpm

rpmlint is now "silent" and keeps complaining about the weird permissions for
the .spec file in the source rpm

Comment 3 Jason Tibbitts 2008-06-10 19:05:31 UTC
Looks good: license text is in the package and python is no longer required to
build.  %description still isn't a complete sentence, but that's no big deal.

APPROVED

Comment 4 Jeroen van Meeuwen 2008-07-31 09:52:23 UTC
Thanks Jason,

New Package CVS Request
=======================
Package Name: spin-kickstarts
Short Description: Kickstarts for different Spins of Fedora
Owners: kanarip
Branches: F-9, devel
InitialCC: kanarip
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-07-31 17:14:01 UTC
cvs done.

Comment 6 Jens Petersen 2008-09-01 05:56:42 UTC
When is this going to be built?  (Reopening for now:)

Comment 7 Jeroen van Meeuwen 2008-09-01 06:40:48 UTC
We can build it now for rawhide I suppose.

Comment 8 Jens Petersen 2008-09-01 06:45:37 UTC
Ok :)

I just found this:
https://www.redhat.com/archives/fedora-livecd-list/2008-August/msg00095.html

Comment 9 Jeroen van Meeuwen 2008-09-01 07:10:22 UTC
The release cycle including freezes and so forth is part of the release schedule of the package, yes.

Comment 10 Jens Petersen 2008-10-06 07:49:32 UTC
Now that we are past beta for f10 surely it would be good to complete this review?

Comment 11 Jason Tibbitts 2008-10-06 13:57:11 UTC
The review is completed, unless someone thinks that I need to look over the package again.

Comment 12 Jens Petersen 2008-10-13 00:58:37 UTC
(In reply to comment #11)
> The review is completed, unless someone thinks that I need to look over the
> package again.

Sorry: I meant it would be good time to build this now for f10 final.

Comment 13 Jeroen van Meeuwen 2008-10-13 01:16:46 UTC
Built for rawhide from the master branch

http://koji.fedoraproject.org/koji/taskinfo?taskID=876171


Note You need to log in before you can comment on or make changes to this bug.